import { IApplicationMessagesSettings } from '../../settings';
import { IReactButtonProps } from '../../definition';
/**
 * @stable - 19.04.2018
 * @param {UniversalButtonEntityT} entity
 * @returns {boolean | undefined}
 */
export declare const isButtonDisabled: (entity: IReactButtonProps) => boolean;
/**
 * @stable - 19.04.2018
 * @param {UniversalButtonEntityT} entity
 * @param {IApplicationMessagesSettings} messages
 * @returns {string}
 */
export declare const getButtonText: (entity: IReactButtonProps, messages: IApplicationMessagesSettings) => string;
/**
 * @stable - 19.04.2018
 * @param {UniversalButtonEntityT} entity
 * @param {string} progressIcon
 * @param {string} errorIcon
 * @returns {string}
 */
export declare const getButtonIcon: (entity: IReactButtonProps, progressIcon: string, errorIcon: string) => string;
